Skip to main content
POST
Append events to a tracker

Authorizations

token
string
query
required

A plaintext token to secure your server, specified at startup in the argument --auth-token thisismysecret

Path Parameters

conversation_id
string
required

Id of the conversation

Query Parameters

include_events
enum<string>
default:AFTER_RESTART

Specify which events of the tracker the response should contain.

  • ALL - every logged event.

  • APPLIED - only events that contribute to the trackers state. This excludes reverted utterances and actions that got undone.

  • AFTER_RESTART - all events since the last restarted event. This includes utterances that got reverted and actions that got undone.

  • NONE - no events.

Available options:
ALL,
APPLIED,
AFTER_RESTART,
NONE
output_channel
enum<string>

The bot's utterances will be forwarded to this channel. It uses the credentials listed in credentials.yml to connect. In case the channel does not support this, the utterances will be returned in the response body. Use latest to try to send the messages to the latest channel the user used. Currently supported channels are listed in the permitted values for the parameter.

Available options:
latest,
slack,
callback,
facebook,
rocketchat,
telegram,
twilio,
webexteams,
socketio
execute_side_effects
boolean
default:false

If true, any BotUttered event will be forwarded to the channel specified in the output_channel parameter. Any ReminderScheduled or ReminderCancelled event will also be processed.

Body

application/json

Event for incoming user message.

event
enum<string>
required

Event name

Available options:
user
Example:

"user"

timestamp
number

Unix timestamp (float) of when the event was applied.

Example:

1774447464.622012

metadata
object

Arbitrary metadata attached to the event by the channel or model, e.g. session_id, model_id, assistant_id, model_name.

Example:
text
string | null

Text of user message.

input_channel
string | null
message_id
string | null
parse_data
object

NLU parser information. If set, message will not be passed through NLU, but instead this parsing information will be used.

anonymized_at
string | null

ISO 8601 timestamp of when PII in this event was anonymized, or null if the event has not been anonymized.

Response

Success

Conversation tracker which stores the conversation state.

sender_id
string

ID of the conversation

Example:

"default"

user_id
string | null

Optional identifier of the end user associated with this conversation. Omitted from serialized output when null.

Example:

"usr_a1b2c3d4e5f6"

current_session_id
string | null

Session ID derived from the metadata of the last stored event. null when the last event is ConversationInactive, indicating no active session.

Example:

"4b3c1e2a-91f0-4d8e-b123-abc123def456"

slots
object[]

Slot values

latest_message
object

NLU parser information. If set, message will not be passed through NLU, but instead this parsing information will be used.

latest_event_time
number

Most recent event time

Example:

1537645578.314389

followup_action
string

Deterministic scheduled next action

paused
boolean

Bot is paused

Example:

false

stack
object[] | null
events
object[]

Event history

Event for incoming user message.

latest_input_channel
string

Communication channel

Example:

"rest"

latest_action_name
string

Name of last bot action

Example:

"action_listen"

latest_action
object

Latest bot action.

active_loop
object

Name of the active loop